;(function($) {

  'use strict'

  var mobileMenu = function() {
    if ( matchMedia( 'only screen and (max-width: 1024px)' ).matches ) {
      var menuWrapperHeight = $('.main-navigation-wrapper').height();
      var menuHeight = $('.main-navigation.toggled > div ').height();
      var menuItemsHeight = $('#primary-menu').height();
      var menuList = $('#primary-menu li').length;
      var menuListTotalHeight = menuList*48;
      var wHeight = $(window).height();

      var qViewport = wHeight-menuWrapperHeight;

      if( menuListTotalHeight >= qViewport ) {
        $('.sticky-header-on .main-navigation > div').height(qViewport);
      } else {
        $('html').addClass('short-mobile-menu');
      }

    }
  };

  var bodyScrolls = function() {

    var header = $('.sticky-header-on #masthead');
    var headerHeight = $('.site-header').height();
    // $('.clone-header').height(header.height());

    $(window).scroll(function() {
        var scroll = $(window).scrollTop();

        var hHeader = header.height();

        if( $('body').hasClass('admin-bar') ) {
          var hHeader = header.height()+$('#wpadminbar').height();
        }

        if (scroll >= hHeader ) {
            if( $('body').hasClass('sticky-header-on') ) {
              $('html').addClass('has_sticky_header');
              $('.clone-header').height(headerHeight+27);
            }
            header.addClass('is_sticky_header');
            $('.sticky-header-on .clone-header').css({
              'position': 'relative',
            });

        } else {
            if( $('body').hasClass('sticky-header-on') ) {
              $('html').removeClass('has_sticky_header');
              $('.clone-header').attr('style', '');
            }
            header.removeClass('is_sticky_header');
            $('.sticky-header-on .clone-header').css({
              'position': 'absolute',
            });
            // $('.clone-header').height(0);
        }

        if (scroll >= hHeader+$(window).height() ) {
            $('a#to-top-anchor').addClass('is_floating');
        } else {
            $('a#to-top-anchor').removeClass('is_floating');
        }

    });

    if( $('body').hasClass('admin-bar') ) {
      $('.clone-header').height(header.height()+$('#wpadminbar').height());
    }

  };

  var bodyScrollsHome = function() {

    var header = $('.sticky-header-on #masthead');
    var menubar = $('.main-navigation-wrapper');
    var headerHeight = $('.site-header').height();
    var menuBarHeight = menubar.height();
    var topOffset = header.height();

    $(window).scroll(function() {

        var scroll = $(window).scrollTop();

        if (scroll >= topOffset ) {
            if( $('body').hasClass('sticky-header-on') ) {
              $('html').addClass('has_sticky_header');
              $('.clone-header').height(headerHeight);
            }
            header.addClass('is_sticky_header');
            $('.sticky-header-on .clone-header').css({
              'position': 'relative',
            });
        } else {
            if( $('body').hasClass('sticky-header-on') ) {
              $('html').removeClass('has_sticky_header');
              $('.clone-header').attr('style', '');
            }
            header.removeClass('is_sticky_header');
            $('.sticky-header-on .clone-header').css({
              // 'position': 'absolute',
            });
            // $('.clone-header').height(0);
        }

        if (scroll >= topOffset+227 ) {
            $('a#to-top-anchor').addClass('is_floating');
        } else {
            $('a#to-top-anchor').removeClass('is_floating');
        }

    });

    if( $('body').hasClass('admin-bar') ) {
      $('.clone-header').height(menubar.height()+$('#wpadminbar').height());
    }

  };

  var brandingHeight = function() {
    $(window).on('load resize', function() {

      var hHeader = $('.home .site-header').outerHeight()-85;
      var hBranding = $('.home .site-branding').outerHeight();

      if( hBranding > hHeader ) {
        $('.home .site-header').addClass('taller-header').height(hBranding+117);
      }

    });
  };

  var postNav = function() {
    if( $('.post-navigation').length ) {
      if( $('.post-navigation .nav-links > div').length < 2 ) {
        $('.nav-links').addClass('single-nav');
      }
    }
  };

  var anchorToTop = function() {
		$('#to-top-anchor').on('click', function() {
			$("html, body").animate({ scrollTop: 0 }, 1000);
			return false;
		});
	};

  var viewportVisible = function() {
    $(window).scroll(function(){
        function elementScrolled(elem) {
            var docViewTop = $(window).scrollTop();
            var docViewBottom = docViewTop + $(window).height();
            var elemTop = $(elem).offset().top;
            return ((elemTop <= docViewBottom) && (elemTop >= docViewTop));
        }

        if(elementScrolled('#footer-widgets-section')) {
            $('body').addClass('footer-is-visible');
            $('a#to-top-anchor').removeClass('is_floating');
        } else {
            $('body').removeClass('footer-is-visible');
        }
    });
  };

  $(function() {
    mobileMenu();
    if( !$('body').hasClass('large-header') ) {
      bodyScrolls();
    }
    if( $('body').hasClass('large-header') ) {
      bodyScrollsHome();
    }
    brandingHeight();
    postNav();
    anchorToTop();
    viewportVisible();
  });

})(jQuery);
